create table if not exists plays (
	"json" text unique on conflict ignore,
	"posted" integer check ("posted" in (0, 1))
);

create index if not exists nonposted_plays
on plays(posted)
where posted = 0;

create table if not exists highlights (
	"json" text unique on conflict ignore,
	"posted" integer check ("posted" in (0, 1))
);

create index if not exists nonposted_highlights
on highlights(posted)
where posted = 0;

create table if not exists games (
	"json" text unique on conflict ignore,
	"posted" integer check ("posted" in (0, 1)),
);

create index if not exists nonposted_games
on games(posted)
where posted = 0;
